<?xml version="1.0"?><xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"><xsl:output method="text" omit-xml-declaration="yes" /><!-- Defining the template for the overview--><xsl:template match="Overview">#summary Documentation of <xsl:value-of select="normalize-space(Title)" />.
#labels documentation

*Copyright: *<xsl:value-of select="normalize-space(Copyright)" />

=Namespaces=
_List of namespaces and their content._<xsl:for-each select="Types/Namespace">

==<xsl:value-of select="normalize-space(@Name)" />==<xsl:for-each select="Type">
  * [Docs_<xsl:value-of select="normalize-space(../@Name)" />_<xsl:value-of select="normalize-space(@Name)" /><xsl:value-of select="' '" /><xsl:value-of select="normalize-space(@Name)" />]</xsl:for-each>
</xsl:for-each>

=Remarks=
<xsl:value-of select="Remarks" />

=Assemblies=<xsl:for-each select="Assemblies/Assembly">
  * <xsl:value-of select="normalize-space(@Name)" /><xsl:value-of select="' '" /><xsl:value-of select="normalize-space(@Version)" />
</xsl:for-each>

</xsl:template><!--Defining the template for a class--><xsl:template match="Type">#summary <xsl:value-of select="normalize-space(Docs/summary)" />
#labels documentation
<!-- Make labels like: docs-class, docs-namespace etc... -->
{{{
<xsl:value-of select="TypeSignature/@Value"/>
}}}

=Remarks=
<xsl:value-of select="Docs/remarks" />

*Assembly: * <xsl:value-of select="normalize-space(AssemblyInfo/AssemblyName)"/><xsl:value-of select="' '" /><xsl:value-of select="normalize-space(AssemblyInfo/AssemblyVersion)"/>

=Members=
_List of all members,_
<xsl:if test="Members/Member[MemberType='Constructor']">
==Constructors==<xsl:for-each select="Members/Member[MemberType='Constructor']">
|| `<xsl:value-of select="normalize-space(MemberSignature/@Value)"/>`  || <xsl:value-of select="normalize-space(Docs/summary)" /> ||</xsl:for-each>
</xsl:if>

<xsl:if test="Members/Member[MemberType='Field']">

==Fields==<xsl:for-each select="Members/Member[MemberType='Field']">
|| `<xsl:value-of select="normalize-space(MemberSignature/@Value)"/>`  || <xsl:value-of select="normalize-space(Docs/summary)" /> ||</xsl:for-each>
</xsl:if>

<xsl:if test="Members/Member[MemberType='Property']">

==Properties==<xsl:for-each select="Members/Member[MemberType='Property']">
|| `<xsl:value-of select="normalize-space(MemberSignature/@Value)"/>`  || <xsl:value-of select="normalize-space(Docs/summary)" /> ||</xsl:for-each>
</xsl:if>

<xsl:if test="Members/Member[MemberType='Method']">

==Methods==<xsl:for-each select="Members/Member[MemberType='Method']">
|| `<xsl:value-of select="normalize-space(MemberSignature/@Value)"/>`  || <xsl:value-of select="normalize-space(Docs/summary)" /> ||</xsl:for-each>
</xsl:if>

<xsl:if test="Members/Member[MemberType='Event']">

==Events==<xsl:for-each select="Members/Member[MemberType='Event']">
|| `<xsl:value-of select="normalize-space(MemberSignature/@Value)"/>`  || <xsl:value-of select="normalize-space(Docs/summary)" /> ||</xsl:for-each>
</xsl:if>

<!-- Don't know if there's more membertypes perhaps operators -->


=Member Details=
_A detailed description of each member_
<!--TODO more advanced loop-->
<xsl:if test="Members/Member[MemberType='Constructor']">
==Constructors==
_A detrailed description of constructors._
<xsl:for-each select="Members/Member[MemberType='Constructor']">
===<xsl:value-of select="normalize-space(/Type/@Name)" /> Constructor===
_<xsl:value-of select="normalize-space(Docs/summary)" />_
{{{
<xsl:value-of select="normalize-space(MemberSignature/@Value)"/>
}}}

====Remarks====
<xsl:value-of select="Docs/remarks" />

====Parameters====<xsl:for-each select="Parameters/Parameter"><xsl:variable name="ParaName" select="@Name" />
  * <xsl:value-of select="normalize-space(@Type)" /> `<xsl:value-of select="normalize-space(@Name)" />`  <xsl:value-of select="normalize-space(../../Docs/param[@name=$ParaName])" />
</xsl:for-each>
</xsl:for-each>
</xsl:if>

<xsl:if test="Members/Member[MemberType='Field']">

==Fields==
_A detailed description of fields._<xsl:for-each select="Members/Member[MemberType='Field']">

===<xsl:value-of select="normalize-space(@MemberName)" />===
_<xsl:value-of select="normalize-space(Docs/summary)" />_
{{{
<xsl:value-of select="normalize-space(MemberSignature/@Value)"/>
}}}
====Remarks====
<xsl:value-of select="Docs/remarks" />
</xsl:for-each>
</xsl:if>

<xsl:if test="Members/Member[MemberType='Property']">
==Properties==
_A detailed description of properties._<xsl:for-each select="Members/Member[MemberType='Property']">

===<xsl:value-of select="normalize-space(@MemberName)" />===
_<xsl:value-of select="normalize-space(Docs/summary)" />_
{{{
<xsl:value-of select="normalize-space(MemberSignature/@Value)"/>
}}}
====Value====
<xsl:value-of select="Docs/value"/>
</xsl:for-each>
</xsl:if>

<xsl:if test="Members/Member[MemberType='Method']">

==Methods==
_A detailed description of methods._<xsl:for-each select="Members/Member[MemberType='Method']">

===<xsl:value-of select="normalize-space(@MemberName)" />===
_<xsl:value-of select="normalize-space(Docs/summary)" />_
{{{
<xsl:value-of select="normalize-space(MemberSignature/@Value)"/>
}}}
====Remarks====
<xsl:value-of select="Docs/remarks" />

====Parameters====<xsl:for-each select="Parameters/Parameter"><xsl:variable name="ParaName" select="@Name" />
  * <xsl:value-of select="normalize-space(@Type)" /> `<xsl:value-of select="normalize-space(@Name)" />`  <xsl:value-of select="normalize-space(../../Docs/param[@name=$ParaName])" />
</xsl:for-each>
</xsl:for-each>
</xsl:if>

<xsl:if test="Members/Member[MemberType='Event']">
==Events==
_A detailed description of events._<xsl:for-each select="Members/Member[MemberType='Event']">

===<xsl:value-of select="normalize-space(@MemberName)" />===
_<xsl:value-of select="normalize-space(Docs/summary)" />_
{{{
<xsl:value-of select="normalize-space(MemberSignature/@Value)"/>
}}}
====Remarks====
<xsl:value-of select="Docs/remarks" />
</xsl:for-each>
</xsl:if>
</xsl:template>
</xsl:stylesheet>
